class ReportsController < InheritedResources::Base
  belongs_to :node, :optional => true, :finder => :find_by_url!
  protect_from_forgery :except => :create

  before_filter :handle_raw_post, :only => :create

  include PaginatedIndex

  private

  def handle_raw_post
    report = params[:report]
    return unless report.is_a?(String)
    params[:report] = {:report => report}
  end
end
